com.abbyy.mobile.rtr

## Enum IRecognitionService.ResultStabilityStatus

- java.lang.Object
- - java.lang.Enum<IRecognitionService.ResultStabilityStatus>
  - - com.abbyy.mobile.rtr.IRecognitionService.ResultStabilityStatus

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<IRecognitionService.ResultStabilityStatus>
  Enclosing interface:
    IRecognitionService

      public static enum IRecognitionService.ResultStabilityStatus
      extends java.lang.Enum<IRecognitionService.ResultStabilityStatus>

  Stability of the result. This strongly correlates with the confidence.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Available` Result Available (matching content found in three or more frames, the result varies with the addition of new frames)
    `NotReady` No content available
    `Stable` Result Stable (the result has been stable in the last three or more frames)
    `Tentative` Tentative Content Detected
    `TentativelyStable` Result Tentatively Stable (the result has been stable in the last two frames)
    `Verified` Content Verified (matching content found in at least two frames)

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static IRecognitionService.ResultStabilityStatus` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static IRecognitionService.ResultStabilityStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NotReady

          public static final IRecognitionService.ResultStabilityStatus NotReady

      No content available

    - #### Tentative

          public static final IRecognitionService.ResultStabilityStatus Tentative

      Tentative Content Detected

    - #### Verified

          public static final IRecognitionService.ResultStabilityStatus Verified

      Content Verified (matching content found in at least two frames)

    - #### Available

          public static final IRecognitionService.ResultStabilityStatus Available

      Result Available (matching content found in three or more frames, the result varies with the addition of new frames)

    - #### TentativelyStable

          public static final IRecognitionService.ResultStabilityStatus TentativelyStable

      Result Tentatively Stable (the result has been stable in the last two frames)

    - #### Stable

          public static final IRecognitionService.ResultStabilityStatus Stable

      Result Stable (the result has been stable in the last three or more frames)

  - ### Method Detail

    - #### values

          public static IRecognitionService.ResultStabilityStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (IRecognitionService.ResultStabilityStatus c : IRecognitionService.ResultStabilityStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static IRecognitionService.ResultStabilityStatus valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null